Subject: Re: Fw: requested tweak to 2822upd grammar - consensus call
From: Pete Resnick <[email-masked]>
To: ietf-822 mailing list <[email-masked]>
Date: Tue, 30 Sep 2008 14:17:24 -0500
List-Id: <ietf-822.imc.org>

On 9/29/08 at 9:16 PM -0500, I wrote:

>On 9/29/08 at 2:34 PM -0500, I wrote:
>
>>Unless I hear absolute screams of horror (and direct answers to the 
>>questions I asked in my previous message), I plan to skip this 
>>change and tell the RFC Editor to go ahead in the next 4 hours.
>
>Except that I found one more minor error during AUTH48, so you have 
>another 12 hours from now to scream.

The deed is done. I have not made any change in this regard and have 
given final go ahead to the RFC editor. Announcement should be 
forthcoming.

pr
-- 
Pete Resnick <http://www.qualcomm.com/~presnick/>
Qualcomm Incorporated - Direct phone: (858)651-4478, Fax: (858)651-1102

To: [email-masked]
Xref: clerew local.mime:5521
Path: clerew!chl
From: "Charles Lindsey" <[email-masked]>
Subject: Re: Fw: requested tweak to 2822upd grammar - consensus call
Date: Tue, 30 Sep 2008 11:26:16 GMT
Lines: 50
Sender: [email-masked]

Pete Resnick wrote:

>On 9/26/08 at 9:55 AM -0400, Tony Hansen wrote:

>>From what I understand, the definitions of id-left and id-right that 
>>msg-id-core refers to are slightly different between usefor and 5322 
>>(nee 2822upd).

>That's true, but I don't see what difference that makes. The usefor 
>document can redefine whatever it likes (including id-left and 
>id-right). There's no harm if 5322 defines:

>msg-id-core = id-left "@" id-right

>Please someone, explain the objection to using msg-id-core. 
>Otherwise, I see no reason not to use it.

+1

>>The argument espoused is that adding msg-id-kernel allows that 
>>internal portion of the msg-id to be used by people in other 
>>documents; as 5322 stands, that's not possible.

>Do we have an example of someone wanting to use this?

No, but I would presume anyone using <msg-id-core> in any other document
would be saying "the thing between the '< >'" in whatever format of
Message-ID was relevant in that context (which might be Email or Netnews,
or maybe something else not yet thought of).

>Also, does adding it also mean that we should remove the last 
>sentence of 3.6.4? "Semantically, the angle bracket characters are 
>not part of the msg-id; the msg-id is what is contained between the 
>two angle bracket characters."

Which is just a way of saying "semantically, the meaning of a meg-id is
the meaning of its msg-id-core". Both statements mean the same thing, so
either (or both) could appear in the document. So leave it be.

-- 
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Fax: +44 161 436 6133   Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked]      Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9      Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Date: Mon, 29 Sep 2008 21:16:32 -0500
To: ietf-822 mailing list <[email-masked]>
From: Pete Resnick <[email-masked]>
Subject: Re: Fw: requested tweak to 2822upd grammar - consensus call
Sender: [email-masked]

On 9/29/08 at 2:34 PM -0500, I wrote:

>Unless I hear absolute screams of horror (and direct answers to the 
>questions I asked in my previous message), I plan to skip this 
>change and tell the RFC Editor to go ahead in the next 4 hours.

Except that I found one more minor error during AUTH48, so you have 
another 12 hours from now to scream.

pr
-- 
Pete Resnick <http://www.qualcomm.com/~presnick/>
Qualcomm Incorporated - Direct phone: (858)651-4478, Fax: (858)651-1102

Date: Mon, 29 Sep 2008 14:34:38 -0500
To: Tony Hansen <[email-masked]>
From: Pete Resnick <[email-masked]>
Subject: Re: Fw: requested tweak to 2822upd grammar - consensus call
CC: ietf-822 mailing list <[email-masked]>
Sender: [email-masked]

On 9/27/08 at 5:42 PM -0400, Tony Hansen wrote:

>The outcome from the consensus call was that 1) it should only be 
>done if it did not perturb AUTH48, and 2) if it's done, its name 
>should be msg-id-kernel instead of msg-id-core. At the time, you 
>indicated a willingness to do it as part of AUTH48.
>
>If you're now uneasy about doing it, that's fine: don't do it. 
>**It's not worth slowing things down at this point.**

Unless I hear absolute screams of horror (and direct answers to the 
questions I asked in my previous message), I plan to skip this change 
and tell the RFC Editor to go ahead in the next 4 hours.

pr
-- 
Pete Resnick <http://www.qualcomm.com/~presnick/>
Qualcomm Incorporated - Direct phone: (858)651-4478, Fax: (858)651-1102

Date: Mon, 29 Sep 2008 14:32:49 -0500
To: Tony Finch <[email-masked]>
From: Pete Resnick <[email-masked]>
Subject: Re: On ABNF in 5322: Advice needed
CC: Dave CROCKER <[email-masked]>, <[email-masked]>
Sender: [email-masked]

On 9/29/08 at 7:36 PM +0100, Tony Finch wrote:

>What I was trying to say is that if the rephrasing is done right 
>there is no need for angle brackets.

And it did indeed turn out that no angle brackets were necessary, and 
very little rewording was needed.

Everything is done except for the msg-id-whatever issue. More about 
that in a different message.

pr
-- 
Pete Resnick <http://www.qualcomm.com/~presnick/>
Qualcomm Incorporated - Direct phone: (858)651-4478, Fax: (858)651-1102

Date: Mon, 29 Sep 2008 19:36:21 +0100
From: Tony Finch <[email-masked]>
To: Dave CROCKER <[email-masked]>
cc: [email-masked]
Subject: Re: On ABNF in 5322: Advice needed
Sender: [email-masked]

On Mon, 29 Sep 2008, Dave CROCKER wrote:
>
> However my point is that the result means "sometimes use angles and sometimes
> don't, depending upon whether (the author thinks that) ambiguity is a concern.

What I was trying to say is that if the rephrasing is done right there is
no need for angle brackets.

Tony.
-- 
f.anthony.n.finch  <[email-masked]>  http://dotat.at/
SOUTHEAST ICELAND: NORTHERLY 5 TO 7. ROUGH, OCCASIONALLY VERY ROUGH. RAIN OR
SQUALLY SHOWERS. MODERATE OR GOOD.

Date: Mon, 29 Sep 2008 11:29:36 -0700
From: Dave CROCKER <[email-masked]>
Organization: Brandenburg InternetWorking
To: Tony Finch <[email-masked]>
CC: [email-masked]
Subject: Re: On ABNF in 5322: Advice needed
Sender: [email-masked]

Tony Finch wrote:
> On Sat, 27 Sep 2008, Dave CROCKER wrote:
>> This means that the presence of angle-brackets will be inconsistent.
>> Is that really ok?
> 
> I understand "rephrase" to mean "adjusting the wording to remove the
> ambiguity" which does not imply simply adding angle brackets.

I, too, understood that the result would eliminate contextual ambiguity.

However my point is that the result means "sometimes use angles and sometimes 
don't, depending upon whether (the author thinks that) ambiguity is a concern.

That type of rule is fine for general prose, but maybe not so good for formal 
specifications?

d/

-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net

Date: Mon, 29 Sep 2008 19:07:26 +0100
From: Tony Finch <[email-masked]>
To: [email-masked]
cc: [email-masked]
Subject: Re: On ABNF in 5322: Advice needed
Sender: [email-masked]

On Sat, 27 Sep 2008, Dave CROCKER wrote:
> [email-masked] wrote:
> >
> > > My preference would be a variation of (a). Don't touch anything except
> > > where the editor noted. Consider rephrasing those specific sentences,
> > > and glance fleetingly to see if the same sentences appear elsewhere in
> > > the document.
> >
> > +1

+1

> This means that the presence of angle-brackets will be inconsistent.
> Is that really ok?

I understand "rephrase" to mean "adjusting the wording to remove the
ambiguity" which does not imply simply adding angle brackets.

Tony.
-- 
f.anthony.n.finch  <[email-masked]>  http://dotat.at/
DOVER WIGHT PORTLAND PLYMOUTH: WEST 4 OR 5, INCREASING 5 TO 7, PERHAPS GALE 8
LATER. MODERATE, INCREASING ROUGH OR VERY ROUGH. SHOWERS THEN RAIN. MODERATE
OR GOOD, OCCASIONALLY POOR.

Date: Sat, 27 Sep 2008 15:54:03 -0700
From: Dave CROCKER <[email-masked]>
Reply-To: [email-masked]
Organization: Brandenburg InternetWorking
To: [email-masked]
Subject: Re: On ABNF in 5322: Advice needed
Sender: [email-masked]

[email-masked] wrote:
>> My preference would be a variation of (a). Don't touch anything except
>> where the editor noted. Consider rephrasing those specific sentences,
>> and glance fleetingly to see if the same sentences appear elsewhere in
>> the document.
> 
> +1

Folks,

This means that the presence of angle-brackets will be inconsistent.  Is that 
really ok?

d/

-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net

Date: Sat, 27 Sep 2008 17:42:45 -0400
From: Tony Hansen <[email-masked]>
To: ietf-822 mailing list <[email-masked]>
Subject: Re: Fw: requested tweak to 2822upd grammar - consensus call
Sender: [email-masked]

Pete, the original request to add msg-id-kernel came from Alexey. When I
asked for a consensus call, Alexey's message was this:

Alexey Melnikov wrote:
> > I realize that this might be too late now, but I've suggested this
> > before and got no response. And I hope this is not controversial for
> > AUTH48:
> >
> > Can we please redefine the msg-id in section 3.6.4:
> >
> > msg-id          =   [CFWS] "<" id-left "@" id-right ">" [CFWS]
> >
> > to be:
> >
> > msg-id          =   [CFWS] "<" msg-id-core ">" [CFWS]
> > msg-id-core     =   id-left "@" id-right
> >
> > This way other documents can reference the thing inside <> more
> > easily.

The outcome from the consensus call was that 1) it should only be done
if it did not perturb AUTH48, and 2) if it's done, its name should be
msg-id-kernel instead of msg-id-core. At the time, you indicated a
willingness to do it as part of AUTH48.

If you're now uneasy about doing it, that's fine: don't do it. **It's
not worth slowing things down at this point.**

	Tony

Pete Resnick wrote:
> 
> On 9/26/08 at 9:55 AM -0400, Tony Hansen wrote:
> 
>> From what I understand, the definitions of id-left and id-right that
>> msg-id-core refers to are slightly different between usefor and 5322
>> (nee 2822upd).
> 
> That's true, but I don't see what difference that makes. The usefor
> document can redefine whatever it likes (including id-left and
> id-right). There's no harm if 5322 defines:
> 
> msg-id-core = id-left "@" id-right
> 
> Please someone, explain the objection to using msg-id-core. Otherwise, I
> see no reason not to use it.
> 
>> The argument espoused is that adding msg-id-kernel allows that
>> internal portion of the msg-id to be used by people in other
>> documents; as 5322 stands, that's not possible.
> 
> Do we have an example of someone wanting to use this?
> 
> Also, does adding it also mean that we should remove the last sentence
> of 3.6.4? "Semantically, the angle bracket characters are not part of
> the msg-id; the msg-id is what is contained between the two angle
> bracket characters."
> 
> This change is making me increasingly worried. Are we sure we want to do
> this?
> 
> pr

Date: Sat, 27 Sep 2008 22:47:00 +0200
From: Arnt Gulbrandsen <[email-masked]>
To: [email-masked]
Subject: Re: Fw: requested tweak to 2822upd grammar - consensus call
Cc: Tony Hansen <[email-masked]>, Pete Resnick <[email-masked]>
Sender: [email-masked]

Pete Resnick answers Tony Hansen:
>> The argument espoused is that adding msg-id-kernel allows that 
>> internal portion of the msg-id to be used by people in other 
>> documents; as 5322 stands, that's not possible.
>
> Do we have an example of someone wanting to use this?

Not 2192bis, but I suspect there's a document like it that ought to say 
something like

     mail-url = "mail:" msg-id-core

I'm kind of annoyed that msg-id-core pulls in obs-this and obs-that, but 
pulling in obs-* is perfectly appropriate for an URL, so I'm not 
actually protesting.

Arnt

Date: Sat, 27 Sep 2008 13:50:36 -0500
To: Tony Hansen <[email-masked]>
From: Pete Resnick <[email-masked]>
Subject: Re: Fw: requested tweak to 2822upd grammar - consensus call
CC: ietf-822 mailing list <[email-masked]>
Sender: [email-masked]

On 9/26/08 at 9:55 AM -0400, Tony Hansen wrote:

>From what I understand, the definitions of id-left and id-right that 
>msg-id-core refers to are slightly different between usefor and 5322 
>(nee 2822upd).

That's true, but I don't see what difference that makes. The usefor 
document can redefine whatever it likes (including id-left and 
id-right). There's no harm if 5322 defines:

msg-id-core = id-left "@" id-right

Please someone, explain the objection to using msg-id-core. 
Otherwise, I see no reason not to use it.

>The argument espoused is that adding msg-id-kernel allows that 
>internal portion of the msg-id to be used by people in other 
>documents; as 5322 stands, that's not possible.

Do we have an example of someone wanting to use this?

Also, does adding it also mean that we should remove the last 
sentence of 3.6.4? "Semantically, the angle bracket characters are 
not part of the msg-id; the msg-id is what is contained between the 
two angle bracket characters."

This change is making me increasingly worried. Are we sure we want to do this?

pr
-- 
Pete Resnick <http://www.qualcomm.com/~presnick/>
Qualcomm Incorporated - Direct phone: (858)651-4478, Fax: (858)651-1102

Date: Sat, 27 Sep 2008 08:37:27 +0200
From: Arnt Gulbrandsen <[email-masked]>
To: [email-masked]
Subject: Re: On ABNF in 5322: Advice needed
Sender: [email-masked]

Charles Lindsey writes:
> It takes some effort, but IMHO it is worth it.

IMNSHO, "takes some effort" is another way of saying "#$!$#@$@ not in AUTH48".

Arnt

To: [email-masked]
Xref: clerew local.mime:5501
Path: clerew!chl
From: "Charles Lindsey" <[email-masked]>
Subject: Re: On ABNF in 5322: Advice needed
Date: Fri, 26 Sep 2008 14:14:41 GMT
Lines: 35
Sender: [email-masked]

Pete Resnick <[email-masked]> wrote

>The suggestion was made (and it's been made by others) that all ABNF 
>terminals should be surrounded with angle brackets, so it's easy to 
>distinguish "a phrase" from "<phrase>" and "a quoted string" from 
>"<quoted-string>". My argument against doing this has always been (1) 
>there are very few places in the text where it is ambiguous, and none 
>(AFAIK) where it makes a difference; and (2) going through and making 
>the change could result in errors. (It's a lot of occurrences to go 
>through.) Advice sought:

+1

It makes reading such documents much easier. We went through all the
USEFOR drafts a long time ago to put them into that format. It takes some
effort, but IMHO it is worth it.

>If you choose (B), I'd also like to hear your answer to the question: 
>Does this require cycling back through the IESG or (*gasp*) another 
>IETF last call?

I would hope not. But it sounds as if the RFC Editor is willing to play
without that.

-- 
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Fax: +44 161 436 6133   Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked]      Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9      Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Date: Fri, 26 Sep 2008 07:39:44 -0700
To: Pete Resnick <[email-masked]>
From: SM <[email-masked]>
Subject: Re: On ABNF in 5322: Advice needed
Cc: ietf-822 <[email-masked]>
Sender: [email-masked]

Hi Pete,
At 15:26 25-09-2008, Pete Resnick wrote:
>5322 (nee 2822upd) is in AUTH48. During this process, the editor 
>noted some confusion about some of the text: Sometimes when I say 
>(e.g.) "phrase", it's not clear whether I'm referring to the ABNF 
>terminal "phrase" or a description of it. It's somewhat easy to 
>distinguish, for instance, "a quoted string" from "quoted-string", 
>but other places it's trickier.
>
>The suggestion was made (and it's been made by others) that all ABNF 
>terminals should be surrounded with angle brackets, so it's easy to 
>distinguish "a phrase" from "<phrase>" and "a quoted string" from 
>"<quoted-string>". My argument against doing this has always been 
>(1) there are very few places in the text where it is ambiguous, and 
>none (AFAIK) where it makes a difference; and (2) going through and 
>making the change could result in errors. (It's a lot of occurrences 
>to go through.) Advice sought:
>
>Choice (A): "Don't touch a damn thing, Pete! It's too much of a risk 
>to screw things up, and we're moving to Draft Standard. And nothing 
>is so ambiguous as to make any difference."

I read the I-D again and I don't the need for a change at this stage 
especially as there is the risk to screw things up.  The editor has a 
different perspective reading the I-D and would find ambiguities we 
might not see.  I'm for choice (A).  I'll rely on your best judgement 
to determine what could be done in the few places where it is ambiguous.

>If you choose (B), I'd also like to hear your answer to the 
>question: Does this require cycling back through the IESG or 
>(*gasp*) another IETF last call?

I don't think that requires cycling back to the IESG as this is a 
question of style.  It certainly doesn't require another IETF Last Call.

Regards,
-sm 

Date: Fri, 26 Sep 2008 07:08:01 -0700 (PDT)
From: [email-masked]
Subject: Re: On ABNF in 5322: Advice needed
To: Arnt Gulbrandsen <[email-masked]>
Cc: [email-masked], Pete Resnick <[email-masked]>
Sender: [email-masked]

> Pete Resnick writes:
> > 5322 (nee 2822upd) is in AUTH48. During this process, the editor noted
> > some confusion about some of the text: Sometimes when I say (e.g.)
> > "phrase", it's not clear whether I'm referring to the ABNF terminal
> > "phrase" or a description of it.
> > ...
> > Choice (A): "Don't touch a damn thing, Pete! It's too much of a risk
> > to screw things up, and we're moving to Draft Standard. And nothing
> > is so ambiguous as to make any difference."

> My preference would be a variation of (a). Don't touch anything except
> where the editor noted. Consider rephrasing those specific sentences,
> and glance fleetingly to see if the same sentences appear elsewhere in
> the document.

+1

				Ned

Date: Fri, 26 Sep 2008 10:04:17 -0400
From: Tony Hansen <[email-masked]>
To: RFC822 <[email-masked]>
Subject: Re: On ABNF in 5322: Advice needed
Sender: [email-masked]

I'm with Bill here: leave the document alone except where ambiguities
have been pointed out by the RFC editor. There aren't that many uses of
the word "phrase" in the document.

	Tony

Bill McQuillan wrote:
> 
> On Thu, 2008-09-25, Pete Resnick wrote:
> 
>> 5322 (nee 2822upd) is in AUTH48. During this process, the editor 
>> noted some confusion about some of the text: Sometimes when I say 
>> (e.g.) "phrase", it's not clear whether I'm referring to the ABNF 
>> terminal "phrase" or a description of it. It's somewhat easy to 
>> distinguish, for instance, "a quoted string" from "quoted-string", 
>> but other places it's trickier.
> 
> Quoting from RFC 5234, "Augmented BNF for Syntax Specifications", 2.1:
> 
>    Unlike original BNF, angle brackets ("<", ">") are not required.
>    However, angle brackets may be used around a rule name whenever their
>    presence facilitates in discerning the use of a rule name.  This is
>    typically restricted to rule name references in free-form prose[...]
> 
> This seems to me to allow angle brackets to be used in only those places
> where it is needed to remove ambiguity.
> 
> If I understand you correctly, you have already found a small number of
> places where ambiguity exists, so I would recommend changing just those
> places.
> 
> 

Date: Fri, 26 Sep 2008 09:55:38 -0400
From: Tony Hansen <[email-masked]>
To: ietf-822 mailing list <[email-masked]>
Subject: Re: Fw: requested tweak to 2822upd grammar - consensus call
Sender: [email-masked]

>From what I understand, the definitions of id-left and id-right that
msg-id-core refers to are slightly different between usefor and 5322
(nee 2822upd). In short, msg-id-kernel would be 5322's "equivalent to
usefor's msg-id-core".

The argument espoused is that adding msg-id-kernel allows that internal
portion of the msg-id to be used by people in other documents; as 5322
stands, that's not possible. It might be that it will be widely used.
And it might be that no one will do so, eschewing msg-id-kernel for
usefor's msg-id-core. In the latter case: nothing lost, nothing gained.

We can explore further compatibility issues when we look at 2822ter/5322bis.

	Tony Hansen
	[email-masked]

Pete Resnick wrote:
> On 9/9/08 at 8:20 PM -0700, [email-masked] wrote:
> 
>> Dave Crocker wrote:
>>> Tony Hansen wrote:
>>>> Doing a few searches show that some names that don't cause conflicts
>>>> are msg-id-internal, msg-id-kernel and msg-id-element. I think the
>>>> choice should be between Pete and Lisa.
>>>
>>> Not that you asked for additional input, but to offer a personal
>>> comment on the linguistic choices:  While "internal" is structurally
>>> correct, it doesn't say much about completeness or utility.  And
>>> "element" actually implies incompleteness.
>>>
>>> Of the 3 choices, "kernel" nicely implies completeness and utility.
>>
>> FWIW, I like "kernel" as well. I also have no problem with this change
>> being made.
> 
> So, after Charles's message, I'm no longer clear why the original
> (msg-id-core), which already appears in the usefor document, shouldn't
> be used. Mind you, I'm myself not entirely clear why we want to do this
> at all, but I've got no particular objection to it.
> 
> pr

Date: Fri, 26 Sep 2008 01:50:57 -0700
From: Bill McQuillan <[email-masked]>
To: RFC822 <[email-masked]>
Subject: Re: On ABNF in 5322: Advice needed
Sender: [email-masked]

On Thu, 2008-09-25, Pete Resnick wrote:

> 5322 (nee 2822upd) is in AUTH48. During this process, the editor 
> noted some confusion about some of the text: Sometimes when I say 
> (e.g.) "phrase", it's not clear whether I'm referring to the ABNF 
> terminal "phrase" or a description of it. It's somewhat easy to 
> distinguish, for instance, "a quoted string" from "quoted-string", 
> but other places it's trickier.

Quoting from RFC 5234, "Augmented BNF for Syntax Specifications", 2.1:

   Unlike original BNF, angle brackets ("<", ">") are not required.
   However, angle brackets may be used around a rule name whenever their
   presence facilitates in discerning the use of a rule name.  This is
   typically restricted to rule name references in free-form prose[...]

This seems to me to allow angle brackets to be used in only those places
where it is needed to remove ambiguity.

If I understand you correctly, you have already found a small number of
places where ambiguity exists, so I would recommend changing just those
places.

-- 
Bill McQuillan <[email-masked]>

Date: Fri, 26 Sep 2008 10:09:08 +0200
From: Arnt Gulbrandsen <[email-masked]>
To: [email-masked]
Subject: Re: On ABNF in 5322: Advice needed
Cc: Pete Resnick <[email-masked]>
Sender: [email-masked]

Pete Resnick writes:
> 5322 (nee 2822upd) is in AUTH48. During this process, the editor noted 
> some confusion about some of the text: Sometimes when I say (e.g.) 
> "phrase", it's not clear whether I'm referring to the ABNF terminal 
> "phrase" or a description of it.
> ...
> Choice (A): "Don't touch a damn thing, Pete! It's too much of a risk 
> to screw things up, and we're moving to Draft Standard. And nothing 
> is so ambiguous as to make any difference."

My preference would be a variation of (a). Don't touch anything except 
where the editor noted. Consider rephrasing those specific sentences, 
and glance fleetingly to see if the same sentences appear elsewhere in 
the document.

If this were a substantial problem in the audience's eyes, you'd have 
known about it long ago.

Arnt

Date: Fri, 26 Sep 2008 13:36:28 +0530
From: Abhijit Menon-Sen <[email-masked]>
To: Pete Resnick <[email-masked]>
Cc: [email-masked]
Subject: Re: On ABNF in 5322: Advice needed
Sender: [email-masked]

At 2008-09-25 17:26:26 -0500, [email-masked] wrote:
>
> Choice (A): "Don't touch a damn thing, Pete! It's too much of a risk to 
> screw things up, and we're moving to Draft Standard. And nothing is so 
> ambiguous as to make any difference."

That describes my feelings exactly.

-- ams

Date: Fri, 26 Sep 2008 08:47:29 +0200
From: Alessandro Vesely <[email-masked]>
To: ietf-822 <[email-masked]>
Subject: Re: On ABNF in 5322: Advice needed
Sender: [email-masked]

Pete Resnick wrote:
> The suggestion was made (and it's been made by others) that all ABNF 
> terminals should be surrounded with angle brackets, so it's easy to 
> distinguish "a phrase" from "<phrase>" and "a quoted string" from 
> "<quoted-string>".

As an occasional RFC reader, I haven't been able to spot the point 
where the angle brackets would be useful. If a passage requires that 
distinction, I would consider more instructive to explicitly explain 
it at the point where it is needed, rather than cluttering all the 
text with annoying angle brackets.

If all ABNF terminals were to be surrounded by angle brackets, then 
that would obviously be required within rules as well, thereby 
defining ABABFN (Angle Bracket Augmented Backus–Naur Form). RFC 5234 
says angle brackets are not required.

> Choice (A): "Don't touch a damn thing, Pete! It's too much of a risk to 
> screw things up, and we're moving to Draft Standard. And nothing is so 
> ambiguous as to make any difference."

+1

Date: Thu, 25 Sep 2008 17:26:26 -0500
To: ietf-822 <[email-masked]>
From: Pete Resnick <[email-masked]>
Subject: On ABNF in 5322: Advice needed
Sender: [email-masked]

5322 (nee 2822upd) is in AUTH48. During this process, the editor 
noted some confusion about some of the text: Sometimes when I say 
(e.g.) "phrase", it's not clear whether I'm referring to the ABNF 
terminal "phrase" or a description of it. It's somewhat easy to 
distinguish, for instance, "a quoted string" from "quoted-string", 
but other places it's trickier.

The suggestion was made (and it's been made by others) that all ABNF 
terminals should be surrounded with angle brackets, so it's easy to 
distinguish "a phrase" from "<phrase>" and "a quoted string" from 
"<quoted-string>". My argument against doing this has always been (1) 
there are very few places in the text where it is ambiguous, and none 
(AFAIK) where it makes a difference; and (2) going through and making 
the change could result in errors. (It's a lot of occurrences to go 
through.) Advice sought:

Choice (A): "Don't touch a damn thing, Pete! It's too much of a risk 
to screw things up, and we're moving to Draft Standard. And nothing 
is so ambiguous as to make any difference."

Choice (B): "You absolutely MUST make the change, Pete! The 
ambiguities are serious enough, and there is little risk of making 
things any worse than they are now."

Choice (C): "I've got no horse in this race. Do whatever makes sense 
and that everyone else is up for."

Note for the record that the following is *NOT* an acceptable choice:

Unacceptable Choice (D): "I think it would be nice to do that, though 
not necessary. Do it anyway."

That's not understanding the issue.

If you choose (B), I'd also like to hear your answer to the question: 
Does this require cycling back through the IESG or (*gasp*) another 
IETF last call?

Please answer ASAP.

Thx.

pr
-- 
Pete Resnick <http://www.qualcomm.com/~presnick/>
Qualcomm Incorporated - Direct phone: (858)651-4478, Fax: (858)651-1102

Date: Thu, 25 Sep 2008 17:11:26 -0500
To: <[email-masked]>
From: Pete Resnick <[email-masked]>
Subject: Re: Fw: requested tweak to 2822upd grammar - consensus call
CC: Dave CROCKER <[email-masked]>, Tony Hansen <[email-masked]>, ietf-822 mailing list <[email-masked]>, Lisa Dusseault <[email-masked]>
Sender: [email-masked]

On 9/9/08 at 8:20 PM -0700, [email-masked] wrote:

>Dave Crocker wrote:
>>Tony Hansen wrote:
>>>Doing a few searches show that some names that don't cause 
>>>conflicts are msg-id-internal, msg-id-kernel and msg-id-element. I 
>>>think the choice should be between Pete and Lisa.
>>
>>Not that you asked for additional input, but to offer a personal 
>>comment on the linguistic choices:  While "internal" is 
>>structurally correct, it doesn't say much about completeness or 
>>utility.  And "element" actually implies incompleteness.
>>
>>Of the 3 choices, "kernel" nicely implies completeness and utility.
>
>FWIW, I like "kernel" as well. I also have no problem with this 
>change being made.

So, after Charles's message, I'm no longer clear why the original 
(msg-id-core), which already appears in the usefor document, 
shouldn't be used. Mind you, I'm myself not entirely clear why we 
want to do this at all, but I've got no particular objection to it.

pr
-- 
Pete Resnick <http://www.qualcomm.com/~presnick/>
Qualcomm Incorporated - Direct phone: (858)651-4478, Fax: (858)651-1102

Date: Sun, 21 Sep 2008 22:03:03 -0400
From: Tony Hansen <[email-masked]>
To: ietf-822 mailing list <[email-masked]>, [email-masked]
Subject: fyi re 2821bis and 2822upd
Sender: [email-masked]

Just a quick note to let people know that 2821-bis and 2822-upd are both
in AUTH48, and that the RFC editor has indeed assigned 5321 and 5322 as
the RFC numbers.

Cheers!

	Tony Hansen
	[email-masked]

To: [email-masked]
Xref: clerew local.mime:5497
Path: clerew!chl
From: "Charles Lindsey" <[email-masked]>
Subject: Re: requested tweak to 2822upd grammar
Date: Tue, 16 Sep 2008 13:13:12 GMT
Lines: 59
Sender: [email-masked]

In <[email-masked]> "Frank Ellermann" <[email-masked]> writes:

>Tony Hansen wrote:

>>> msg-id          =   [CFWS] "<" msg-id-core ">" [CFWS]
>>> msg-id-core     =   id-left "@" id-right
>[...]
>> But it *is* an extremely late request.

>Yes, and it could cause some confusion for two (or soon
>three) NetNews RFCs in the pipeline.  I'd prefer to do
>this later (= in the promotion to STD), and not as some
>last minute hack with unclear consequences.

Sorry, I have just returned from holiday to find all this fuss.

I disagree totally with Frank on this one.

draft-ietf-usefor-usefor-12.txt currently contains:

   message-id      =  "Message-ID:" SP *WSP msg-id *WSP CRLF

   msg-id          =  "<" msg-id-core ">"
                      ; maximum length is 250 octets

   msg-id-core     =  id-left "@" id-right

which is effectively the same as what Tony proposed, bar the usual Netnews
compulsory SP after the ':'.

We currently have the situation whereby <message-id> is differently
defined in the two documents, so I cannot see why Frank should object to
having <msg-id-core> defined differently in the two places (in fact, in
USEFOR it is <id-left> and <id-right) which are defined differently).

>There can be only one <msg-id-core>, and it's specified
>in an approved NetNews RFC at the moment.  Referenced
>in an approved news URI RFC, and in the now Last Called
>NetNews protocol.

My own personal preference, now that 2822-bis has tidied the syntax of
<msg-id> to the extent that only one very minor difference exists from
what USEFOR should be like, would be to pull back the USEFOR draft and
rebase it on 2822-bis (which would remove from it some exceedingly ugly
syntax which, with the new 2822-bis, is now totally unnecessary). But that
is a matter for the USEFOR WG to decide.

So this is a belated +1 for Tony's change.

-- 
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Fax: +44 161 436 6133   Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked]      Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9      Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

From: "Gabriel Bendayan" <[email-masked]>
Subject: subscribe1
To: [email-masked]
Reply-To: [email-masked]
Date: Sat, 13 Sep 2008 18:31:41 +0200
Sender: [email-masked]

thanks

Date: Tue, 09 Sep 2008 20:20:41 -0700 (PDT)
From: [email-masked]
Subject: Re: Fw: requested tweak to 2822upd grammar - consensus call
To: Dave CROCKER <[email-masked]>
Cc: Tony Hansen <[email-masked]>, ietf-822 mailing list <[email-masked]>, Lisa Dusseault <[email-masked]>
Sender: [email-masked]

> Tony Hansen wrote:
> > Doing a few searches show that some names that don't cause conflicts are
> > msg-id-internal, msg-id-kernel and msg-id-element. I think the choice
> > should be between Pete and Lisa.

> Not that you asked for additional input, but to offer a personal comment on the
> linguistic choices:  While "internal" is structurally correct, it doesn't say
> much about completeness or utility.  And "element" actually implies incompleteness.

> Of the 3 choices, "kernel" nicely implies completeness and utility.

FWIW, I like "kernel" as well. I also have no problem with this change being
made.

				Ned

Date: Tue, 09 Sep 2008 16:51:40 -0700
From: Dave CROCKER <[email-masked]>
Reply-To: [email-masked]
Organization: Brandenburg InternetWorking
To: Tony Hansen <[email-masked]>
CC: ietf-822 mailing list <[email-masked]>, Lisa Dusseault <[email-masked]>
Subject: Re: Fw: requested tweak to 2822upd grammar - consensus call
Sender: [email-masked]

Tony Hansen wrote:
> Doing a few searches show that some names that don't cause conflicts are
> msg-id-internal, msg-id-kernel and msg-id-element. I think the choice
> should be between Pete and Lisa.

Not that you asked for additional input, but to offer a personal comment on the 
linguistic choices:  While "internal" is structurally correct, it doesn't say 
much about completeness or utility.  And "element" actually implies incompleteness.

Of the 3 choices, "kernel" nicely implies completeness and utility.

d/

-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net

Date: Tue, 09 Sep 2008 19:40:35 -0400
From: Tony Hansen <[email-masked]>
To: ietf-822 mailing list <[email-masked]>
CC: Pete Resnick <[email-masked]>, Lisa Dusseault <[email-masked]>
Subject: Re: Fw: requested tweak to 2822upd grammar - consensus call
Sender: [email-masked]

Thank you everyone for posting your opinions on this matter. I'm going
to categorize them this way:

  1) fine with idea if there's no impact on rfc editor	
	Alexey Melnikov (proponent of the idea)
	Dave Crocker
	Abhijt Menon-Sen
	Lisa Dusseault

  2) fine with idea
	Arnt Gulbrandson
	Jeff Macdonald

  3) would affect other RFCs with current name
	Frank Ellermann
	SM

  4) not sure people really want this, given the way the obs stuff is
     pulled in by id-left and id-right
	Frank Ellermann

  5) fine with the idea if there're no negative impacts and consensus is
     behind it
	Pete Resnick

Given the above, I'd say that the idea has consensus behind it, but not
with the current suggested name. I'd say it's worth changing the name to
something that doesn't cause conflicts, and let people try using it. It
may be they won't be able to use it for the reasons Frank mentions, but
it doesn't hurt to let them try.

Doing a few searches show that some names that don't cause conflicts are
msg-id-internal, msg-id-kernel and msg-id-element. I think the choice
should be between Pete and Lisa.

When we get around to going for Full Standard, we can look at whether
people are actually using msg-id-whatever, as well as how msg-id-core is
used in the other RFCs and msg-id in general.

	Tony Hansen

Tony Hansen wrote:
> I'm passing this message on to the 822 list for vetting.
> 
> Alexey Melnikov wrote:
>> I realize that this might be too late now, but I've suggested this
>> before and got no response. And I hope this is not controversial for
>> AUTH48:
>>
>> Can we please redefine the msg-id in section 3.6.4:
>>
>> msg-id          =   [CFWS] "<" id-left "@" id-right ">" [CFWS]
>>
>> to be:
>>
>> msg-id          =   [CFWS] "<" msg-id-core ">" [CFWS]
>> msg-id-core     =   id-left "@" id-right
>>
>> This way other documents can reference the thing inside <> more
>> easily.
> 
> This change is strictly an arrangement of the ABNF and does not affect
> either the intent of the document nor what's on the wire.
> 
> I've been asked to ask the list for buy in on this suggestion.
> 
> Without a definite consensus to do so, it will not be done. The RFC
> Editor hasn't yet made it down to our document in their queue, so this
> request is not blocking anything. Lisa has indicated a willingness to
> support the change as an RFC Editor note, if there is consensus to do
> so. But it *is* an extremely late request.
> 
> Please respond to the mailing list before Monday September 8th with a +1
> (for the change) or -1 (against the change).
> 
> 	Tony Hansen
> 	[email-masked]
> 

To: [email-masked]
From:  "Frank Ellermann" <[email-masked]>
Subject:  Re: requested tweak to 2822upd grammar
Date:  Sun, 7 Sep 2008 15:08:18 +0200
Organization:  <http://purl.net/xyzzy>
Lines: 31
Reply-To:  "Frank Ellermann" <[email-masked]>
Sender: [email-masked]

Requested copy of an off-list mail:

> What if it were named msg-id-interior or some other
> variant instead of msg-id-core?

Well, I strongly support to have only one <msg-id-core>
concept everywhere, creating a new name for the 2822upd
variant does not exactly help with this final goal.

Are the folks wanting the 2822upd variants (sic!) sure
that they really want them ?  Or do they actually want=20
some  <id-left> "@" <id-right>  excluding "obs" ?

If it is the latter, the proposed syntax doesn't exclude
"obs" and won't help them.  If it is the former they can
simply say  <id-left> "@" <id-right>  without creating
a new shorthand for this construct.

Third possibility, they actually want <msg-id-core> as
specified in RFC.ietf-usefor-usefor.  That should get
its number this year, the only MISSREF is in Last Call.

Fourth possibility, they want the future "real thing",
a <msg-id-core> limited to what both 2822upd minus obs
*and* RFC.ietf-usefor-usefor allow.

For the fourth option they should wait like everybody
else until there is an IETF consensus about the future
unification.  We are near, but not yet there.

 Frank

Date: Sat, 06 Sep 2008 22:44:19 -0700
To: Tony Hansen <[email-masked]>, ietf-822 mailing list <[email-masked]>
From: SM <[email-masked]>
Subject: Re: Fw: requested tweak to 2822upd grammar
Sender: [email-masked]

At 15:24 03-09-2008, Tony Hansen wrote:
>I'm passing this message on to the 822 list for vetting.
>
>Alexey Melnikov wrote:
> > I realize that this might be too late now, but I've suggested this
> > before and got no response. And I hope this is not controversial for
> > AUTH48:
> >
> > Can we please redefine the msg-id in section 3.6.4:
> >
> > msg-id          =   [CFWS] "<" id-left "@" id-right ">" [CFWS]
> >
> > to be:
> >
> > msg-id          =   [CFWS] "<" msg-id-core ">" [CFWS]
> > msg-id-core     =   id-left "@" id-right
> >
> > This way other documents can reference the thing inside <> more
> > easily.
>
>This change is strictly an arrangement of the ABNF and does not affect
>either the intent of the document nor what's on the wire.

msg-id is imported from RFC 2822 in several USEFOR and URI 
I-Ds.  Although this change does not affect the document, it might be 
viewed as controversial if it affects the other I-Ds.

Regards,
-sm 

To: [email-masked]
From:  "Frank Ellermann" <[email-masked]>
Subject:  Re: requested tweak to 2822upd grammar
Date:  Sun, 7 Sep 2008 02:44:23 +0200
Organization:  <http://purl.net/xyzzy>
Lines: 41
Reply-To:  "Frank Ellermann" <[email-masked]>
Sender: [email-masked]

Tony Hansen wrote:

>> msg-id          =3D   [CFWS] "<" msg-id-core ">" [CFWS]
>> msg-id-core     =3D   id-left "@" id-right
[...]
> But it *is* an extremely late request.

Yes, and it could cause some confusion for two (or soon
three) NetNews RFCs in the pipeline.  I'd prefer to do
this later (=3D in the promotion to STD), and not as some
last minute hack with unclear consequences.

There can be only one <msg-id-core>, and it's specified
in an approved NetNews RFC at the moment.  Referenced
in an approved news URI RFC, and in the now Last Called
NetNews protocol.

IFF a future NetNews <msg-id-core> could be strictly the
same as in 2822upd I'd support this last minute hack,
but this is not the case.

BTW, the proposal to adopt the NetNews syntax wholesale
in 2822upd was proposed here, but not adopted.  At the
moment we have these relations for a msg-id-core syntax:

  (2822upd - obs) < NetNews, NetNews < (2822 - obs)
   (2822 - obs)   < 2822upd, NetNews < 3977

It would be more tricky when adding news URL relations,
they were related to RFCs 977, 1036, 1738 among others.

It is IMO critical to have *exactly* one place with the
final authoritative <msg-id-core> syntax.  This is *NOT*
2822upd, because that would pull in both "obs" and ">".

Let 2822ter and NetNews-bis deal with two last missing=20
pieces for convergence, the issue of the length and ">".

-1

 Frank

Subject: Re: Fw: requested tweak to 2822upd grammar
From: Jeff Macdonald <[email-masked]>
To: Tony Hansen <[email-masked]>
Cc: ietf-822 mailing list <[email-masked]>
Organization: e-Dialog
Date: Thu, 04 Sep 2008 10:14:03 -0400
Sender: [email-masked]

+1

On Wed, 2008-09-03 at 18:24 -0400, Tony Hansen wrote:
> I'm passing this message on to the 822 list for vetting.
> 
> Alexey Melnikov wrote:
> > I realize that this might be too late now, but I've suggested this
> > before and got no response. And I hope this is not controversial for
> > AUTH48:
> >
> > Can we please redefine the msg-id in section 3.6.4:
> >
> > msg-id          =   [CFWS] "<" id-left "@" id-right ">" [CFWS]
> >
> > to be:
> >
> > msg-id          =   [CFWS] "<" msg-id-core ">" [CFWS]
> > msg-id-core     =   id-left "@" id-right
> >
> > This way other documents can reference the thing inside <> more
> > easily.
> 
> This change is strictly an arrangement of the ABNF and does not affect
> either the intent of the document nor what's on the wire.
> 
> I've been asked to ask the list for buy in on this suggestion.
> 
> Without a definite consensus to do so, it will not be done. The RFC
> Editor hasn't yet made it down to our document in their queue, so this
> request is not blocking anything. Lisa has indicated a willingness to
> support the change as an RFC Editor note, if there is consensus to do
> so. But it *is* an extremely late request.
> 
> Please respond to the mailing list before Monday September 8th with a +1
> (for the change) or -1 (against the change).
> 
> 	Tony Hansen
> 	[email-masked]
> 

Date: Thu, 4 Sep 2008 15:42:56 +0530
From: Abhijit Menon-Sen <[email-masked]>
To: [email-masked]
Subject: Re: Fw: requested tweak to 2822upd grammar
Sender: [email-masked]

At 2008-09-03 17:48:01 -0700, [email-masked] wrote:
>
> However on the assumption the change can be made without having any
> approval or publication impact, I encourage the change.

Same here.

-- ams

Date: Thu, 4 Sep 2008 11:42:21 +0200
From: Arnt Gulbrandsen <[email-masked]>
To: [email-masked]
Subject: Re: Fw: requested tweak to 2822upd grammar
Sender: [email-masked]

Tony Hansen wrote:
> Alexey Melnikov wrote:
>> Can we please redefine the msg-id in section 3.6.4:
>>
>>  msg-id          =   [CFWS] "<" id-left "@" id-right ">" [CFWS]
>>
>>  to be:
>>
>>  msg-id          =   [CFWS] "<" msg-id-core ">" [CFWS]
>>  msg-id-core     =   id-left "@" id-right

For URL usage, what else?

> Please respond to the mailing list before Monday September 8th with a 
> +1 (for the change) or -1 (against the change).

+1. URLs matter and as Dave says, maybe there's more.

Arnt

Date: Wed, 03 Sep 2008 17:48:01 -0700
From: Dave CROCKER <[email-masked]>
Reply-To: [email-masked]
Organization: Brandenburg InternetWorking
To: Tony Hansen <[email-masked]>
CC: ietf-822 mailing list <[email-masked]>
Subject: Re: Fw: requested tweak to 2822upd grammar
Sender: [email-masked]

Tony Hansen wrote:
>> msg-id          =   [CFWS] "<" msg-id-core ">" [CFWS]
>> msg-id-core     =   id-left "@" id-right
>>
>> This way other documents can reference the thing inside <> more
>> easily.
> 
> This change is strictly an arrangement of the ABNF and does not affect
> either the intent of the document nor what's on the wire.

Given that 2822upd has been approved and the tracker shows the document as being 
in the RFC Editor queue, I'm unclear about the impact of such a change on the 
document's processing.  Since this change does not affect semantics and has a 
minimal impact on parsing and doesn't change any terminals, and since the RFC 
Editor processing includes editing refinements of language, I would expect this 
change to have no impact on RFC Editor handling.

If these assumptions are wrong, I would prefer to skip this refinement.

However on the assumption the change can be made without having any approval or 
publication impact, I encourage the change.

Style in specifications is about human readability.  This holds true for 
meta-syntax usage too.

Over the years, I've come to appreciate the real benefit of capturing concepts 
by creating ABNF rules that might not otherwise be needed.  msg-id-core is one 
of those, as was the introduction of display-name in going from 822 to 2822.

Had we marked display-name explicitly in RFC733 or even RFC822, I doubt that 
putting the display string into a comment field would have become popular.

d/

-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net

Date: Wed, 03 Sep 2008 18:24:30 -0400
From: Tony Hansen <[email-masked]>
To: ietf-822 mailing list <[email-masked]>
Subject: Fw: requested tweak to 2822upd grammar
Sender: [email-masked]

I'm passing this message on to the 822 list for vetting.

Alexey Melnikov wrote:
> I realize that this might be too late now, but I've suggested this
> before and got no response. And I hope this is not controversial for
> AUTH48:
>
> Can we please redefine the msg-id in section 3.6.4:
>
> msg-id          =   [CFWS] "<" id-left "@" id-right ">" [CFWS]
>
> to be:
>
> msg-id          =   [CFWS] "<" msg-id-core ">" [CFWS]
> msg-id-core     =   id-left "@" id-right
>
> This way other documents can reference the thing inside <> more
> easily.

This change is strictly an arrangement of the ABNF and does not affect
either the intent of the document nor what's on the wire.

I've been asked to ask the list for buy in on this suggestion.

Without a definite consensus to do so, it will not be done. The RFC
Editor hasn't yet made it down to our document in their queue, so this
request is not blocking anything. Lisa has indicated a willingness to
support the change as an RFC Editor note, if there is consensus to do
so. But it *is* an extremely late request.

Please respond to the mailing list before Monday September 8th with a +1
(for the change) or -1 (against the change).

	Tony Hansen
	[email-masked]